﻿--[[
Name: Babble-Quest-2.2
Revision: $Rev: 25816 $
Authors(s): Kodewulf (kodewulf@gmail.com)
Website: www.wowace.com
Documentation: http://www.wowace.com/wiki/Babble-Quest-2.2
Dependencies: AceLibrary, AceLocale-2.2
License: MIT
]]

local MAJOR_VERSION = "Babble-Quest-2.2"
local MINOR_VERSION = tonumber(string.sub("$Revision: 25816 $", 12, -3))

if not AceLibrary then error(MAJOR_VERSION .. " requires AceLibrary") end
if not AceLibrary:HasInstance("AceLocale-2.2") then error(MAJOR_VERSION .. " requires AceLocale-2.2") end

local _, x = AceLibrary("AceLocale-2.2"):GetLibraryVersion()
MINOR_VERSION = MINOR_VERSION * 100000 + x

if not AceLibrary:IsNewVersion(MAJOR_VERSION, MINOR_VERSION) then return end

local BabbleQuest = AceLibrary("AceLocale-2.2"):new(MAJOR_VERSION)

BabbleQuest:RegisterTranslations("enUS", function() return {
    -- Quest names
    ["Simple Subterfugin'"] = true,
    ["Delivery to Silverpine Forest"] = true,
    ["Vivian Lagrave and the Darkstone Tablet"] = true,
    ["Zinge's Delivery"] = true,
    ["Diaphanous Wings"] = true,
    ["Blood of Innocents"] = true,
    ["Garments of the Moon"] = true,
    ["A Warrior's Training"] = true,
    ["Tribal Leatherworking"] = true,
    ["High Sorcerer Andromath"] = true,
    ["Desert Recipe"] = true,
    ["Skymistress Gloaming"] = true,
    ["Body and Heart"] = true,
    ["Voidwalkers Gone Wild"] = true,
    ["Snapjaws, Mon!"] = true,
    ["Fields of Grief"] = true,
    ["The Divination Scryer"] = true,
    ["Ranger Sareyn"] = true,
    ["Journey to the Marsh"] = true,
    ["Alliance Trauma"] = true,
    ["Cenarion Aid"] = true,
    ["Calm Before the Storm"] = true,
    ["Culinary Crunch"] = true,
    ["Fire Plume Forged"] = true,
    ["Elixir of Agony"] = true,
    ["Clamlette Surprise"] = true,
    ["SI:7"] = true,
    ["Laughing Sisters"] = true,
    ["Continue to Stormwind"] = true,
    ["Badlands Reagent Run II"] = true,
    ["A Simple Request"] = true,
    ["Deep Ocean, Vast Sea"] = true,
    ["Improved Quality"] = true,
    ["The Horde Needs Copper Bars!"] = true,
    ["The Mark of Quality"] = true,
    ["Wing Commander Gryphongar"] = true,
    ["Natural Armor"] = true,
    ["Vivian Lagrave"] = true,
    ["The Balnir Farmstead"] = true,
    ["Master of the Wild Leather"] = true,
    ["Astral Knot Garment"] = true,
    ["The Alliance Needs Runecloth Bandages!"] = true,
    ["Michael Garrett"] = true,
    ["The Horde Needs Firebloom!"] = true,
    ["News from Zangarmarsh"] = true,
    ["Into the Field"] = true,
    ["Nessa Shadowsong"] = true,
    ["Stalwart's Battlegear"] = true,
    ["Garments of the Light"] = true,
    ["The Horde Needs Mageweave Bandages!"] = true,
    ["Wild Leather Helmet"] = true,
    ["Mirror Lake"] = true,
    ["Speak with Bink"] = true,
    ["Destiny Calls"] = true,
    ["A Recipe For Death"] = true,
    ["Bungle in the Jungle"] = true,
    ["The Demoniac Scryer"] = true,
    ["Wild Leather Shoulders"] = true,
    ["Thick Hydra Scales"] = true,
    ["In Favor of Elune"] = true,
    ["Speak with Dillinger"] = true,
    ["The Apple Falls"] = true,
    ["I Got Nothin' Left!"] = true,
    ["Speak with Un'thuwa"] = true,
    ["Gnomer-gooooone!"] = true,
    ["I Know A Guy..."] = true,
    ["The Pledge of Secrecy"] = true,
    ["Report to Shadow Hunter Denjai"] = true,
    ["Return to the Crossroads."] = true,
    ["Exorcising Terrordale"] = true,
    ["The Way of the Weaponsmith"] = true,
    ["Tome of Divinity"] = true,
    ["Tabetha's Task"] = true,
    ["Ancient Equine Spirit"] = true,
    ["Undamaged Venom Sac"] = true,
    ["Angling to Beat the Competition"] = true,
    ["Beginnings"] = true,
    ["Newfound Allies"] = true,
    ["The Missing Fisherman"] = true,
    ["Dirge's Kickin' Chimaerok Chops"] = true,
    ["An Imp's Request"] = true,
    ["Another Message to the Wildhammer"] = true,
    ["Jonespyre's Request"] = true,
    ["Return to Quinn"] = true,
    ["Chief Engineer Scooty"] = true,
    ["Mok'Nathal Treats"] = true,
    ["Hunt the Savages"] = true,
    ["In Favor of Darkness"] = true,
    ["Umbrafen Eel Filets"] = true,
    ["Cannibalistic Cousins"] = true,
    ["Capture the Weapons"] = true,
    ["Magecraft"] = true,
    ["Report to Jennea"] = true,
    ["In Case of Emergency..."] = true,
    ["Show Your Work"] = true,
    ["The Horde Needs Runecloth Bandages!"] = true,
    ["Hearts of Zeal"] = true,
    ["The Flying Machine Airport"] = true,
    ["Therzok"] = true,
    ["Message to the Wildhammer"] = true,
    ["Rescue the Survivors!"] = true,
    ["Nogg's Ring Redo"] = true,
    ["The Stolen Tome"] = true,
    ["Costly Menace"] = true,
    ["Investigate the Blue Recluse"] = true,
    ["Victims of Corruption "] = true,
    ["Garments of Spirituality"] = true,
    ["Shadowshard Fragments"] = true,
    ["Return to Topher Loaal"] = true,
    ["Emphasis on Sacrifice"] = true,
    ["Bring Back the Mug"] = true,
    ["Rabine Saturna"] = true,
    ["Wild Leather Armor"] = true,
    ["Road to Salvation"] = true,
    ["The Spearcrafter's Hammer"] = true,
    ["Erion's Behest"] = true,
    ["Ride to Orgrimmar"] = true,
    ["Elmore's Task"] = true,
    ["A Bundle of Hides"] = true,
    ["Ride to the Undercity"] = true,
    ["Flexing for Nougat"] = true,
    ["Horde Trauma"] = true,
    ["Tomber's Supplies"] = true,
    ["Find Keltus Darkleaf"] = true,
    ["Windows to the Source"] = true,
    ["Elanaria"] = true,
    ["Pursuing Terrorclaw"] = true,
    ["Red Snapper - Very Tasty!"] = true,
    ["Fel Embers"] = true,
    ["Wind Rider"] = true,
    ["Too Many Mouths to Feed"] = true,
    ["Elixir of Pain"] = true,
    ["Report to Anastasia"] = true,
    ["Stalking the Stalkers"] = true,
    ["Beds, Bandages, and Beyond"] = true,
    ["The Hunter's Path"] = true,
    ["Return to Narain"] = true,
    ["Lard Lost His Lunch"] = true,
    ["Clam Bait"] = true,
    ["Muren Stormpike"] = true,
    ["Veteran Uzzek"] = true,
    ["Gammerita, Mon!"] = true,
    ["Medicinal Purpose"] = true,
    ["Dealing with the Foreman"] = true,
    ["The Horde Needs Rugged Leather!"] = true,
    ["Speak with Deino"] = true,
    ["Testing the Prototype"] = true,
    ["Journey to Honor Hold"] = true,
    ["The Biggest of Them All"] = true,
    ["Tal the Wind Rider Master"] = true,
    ["The Horde Needs Thick Leather!"] = true,
    ["Diagnosis: Critical"] = true,
    ["Menacing Marshfangs"] = true,
    ["Return to the Marsh"] = true,
    ["Goods from Silvermoon City"] = true,
    ["Dragonscale Leatherworking"] = true,
    ["On the Wings of a Hippogryph"] = true,
    ["The Islander"] = true,
    ["Insect Part Analysis"] = true,
    ["Return to Podrig"] = true,
    ["Honor Students"] = true,
    ["Volunteer's Battlegear"] = true,
    ["Kingly Shakedown"] = true,
    ["What Came First, the Drake or the Egg?"] = true,
    ["Elixir of Suffering"] = true,
    ["The Bounty of Teldrassil"] = true,
    ["The Alliance Needs Linen Bandages!"] = true,
    ["Nothing But The Truth"] = true,
    ["Training the Beast"] = true,
    ["Gryth Thurden"] = true,
    ["Return to Thunder Bluff"] = true,
    ["A New Plague"] = true,
    ["Deep Cover"] = true,
    ["Material Assistance"] = true,
    ["Call of Earth"] = true,
    ["Journey to Hillsbrad Foothills"] = true,
    ["The Shattered Salute"] = true,
    ["The Horde Needs Mithril Bars!"] = true,
    ["The Art of the Armorsmith"] = true,
    ["Journey to Tarren Mill"] = true,
    ["Taming the Beast"] = true,
    ["Ammo for Rumbleshot"] = true,
    ["Zando'zan"] = true,
    ["Wild Leather Vest"] = true,
    ["Wild Leather Leggings"] = true,
    ["Wild Leather Boots"] = true,
    ["Soothing Turtle Bisque"] = true,
    ["Full Triangle"] = true,
    ["A Land Filled with Hatred"] = true,
    ["The Work of Grimand Elmore"] = true,
    ["Consult Master Gadrin"] = true,
    ["Return to Nessa"] = true,
    ["Find Acteon!"] = true,
    ["Vilebranch Hooligans"] = true,
    ["A Troubled Spirit"] = true,
    ["The Final Message to the Wildhammer"] = true,
    ["Veteran's Battlegear"] = true,
    ["Morrowgrain Research"] = true,
    ["In Favor of the Light"] = true,
    ["Uldaman Reagent Run"] = true,
    ["Hinott's Assistance"] = true,
    ["The Prophecy of Velen"] = true,
    ["The Sharpest Blades"] = true,
    ["Elemental Leatherworking"] = true,
    ["A Swift Message"] = true,
    ["The Horde Needs Spotted Yellowtail!"] = true,
    ["Sample for Helbrim"] = true,
    ["You Too Good."] = true,
    ["Chicken Clucking for a Mint"] = true,
    ["Call of Fire"] = true,
    ["Doras the Wind Rider Master"] = true,
    ["Return to Brock"] = true,
    ["Searching for Scout Jyoba"] = true,
    ["The Isle of Dread!"] = true,
    ["Help Tavara"] = true,
    ["Speak with Ruga"] = true,
    ["Ride to Ironforge"] = true,
    ["The Horde Needs Wool Bandages!"] = true,
    ["Assisting the Consortium"] = true,
    ["To Orgrimmar!"] = true,
    ["Rig Wars"] = true,
    ["Ride to Thunder Bluff"] = true,
    ["A Spirit Ally?"] = true,
    ["Beasts of the Apocalypse!"] = true,
    ["An Alternative Alternative"] = true,
    ["The Zapthrottle Mote Extractor!"] = true,
    ["Stinging the Stingers"] = true,
    ["Elune's Grace"] = true,
    ["Dancing for Marzipan"] = true,
    ["Cookie's Jumbo Gumbo"] = true,
    ["Kitchen Assistance"] = true,
    ["Seek out SI: 7"] = true,
    ["Pawn Captures Queen"] = true,
    ["Mage-tastic Gizmonitor"] = true,
    ["Mennet Carkad"] = true,
    ["Return to Jahan"] = true,
    ["The Great Moongraze Hunt"] = true,
    ["Report to Nazgrel"] = true,
    ["Catch and Release"] = true,
    ["Empty Stables"] = true,
    ["A Little Dash of Seasoning"] = true,
    ["Report to Hadrec"] = true,
    ["Gathering Materials"] = true,
    ["Badlands Reagent Run"] = true,
    ["Spirits of the Feralfen"] = true,
    ["Elemental Mastery"] = true,
    ["Separation Anxiety"] = true,
    ["Nolkai's Words"] = true,
    ["The Alliance Needs Copper Bars!"] = true,
    ["Flight to Auberdine"] = true,
    ["Avenging the Fallen"] = true,
    ["The Alliance Needs Roast Raptor!"] = true,
    ["In Favor of Spirituality"] = true,
    ["The Legend of Stalvan"] = true,
    ["A Burden of Souls"] = true,
    ["The Horde Needs Purple Lotus!"] = true,
    ["Maktu's Revenge"] = true,
    ["The Horde Needs Peacebloom!"] = true,
    ["Ju-Ju Heaps"] = true,
    ["Errand for Apothecary Zinge"] = true,
    ["The Horde Needs Tin Bars!"] = true,
    ["Chillwind Point"] = true,
    ["Garments of Darkness"] = true,
    ["Investigate the Alchemist Shop"] = true,
    ["Speak with Anastasia"] = true,
    ["Venom to the Undercity"] = true,
    ["Searching for Galaen"] = true,
    ["Return to Verner"] = true,
    ["Rot Hide Origins"] = true,
    ["Speak with Jennea"] = true,
    ["Judgment and Redemption"] = true,
    ["Serpentbloom"] = true,
    ["In Search of Menara Voidrender"] = true,
    ["Champion's Battlegear"] = true,
    ["Waters of Xavian"] = true,
    ["Going, Going, Guano!"] = true,
} end)

BabbleQuest:Debug()
BabbleQuest:SetStrictness(true)

AceLibrary:Register(BabbleQuest, MAJOR_VERSION, MINOR_VERSION)
BabbleQuest = nil
