﻿--[[
Name: Babble-Trainer-2.2
Revision: $Rev: 25816 $
Authors(s): Kodewulf (kodewulf@gmail.com)
Website: www.wowace.com
Documentation: http://www.wowace.com/wiki/Babble-Trainer-2.2
Dependencies: AceLibrary, AceLocale-2.2
License: MIT
]]

local MAJOR_VERSION = "Babble-Trainer-2.2"
local MINOR_VERSION = tonumber(string.sub("$Revision: 25816 $", 12, -3))

if not AceLibrary then error(MAJOR_VERSION .. " requires AceLibrary") end
if not AceLibrary:HasInstance("AceLocale-2.2") then error(MAJOR_VERSION .. " requires AceLocale-2.2") end

local _, x = AceLibrary("AceLocale-2.2"):GetLibraryVersion()
MINOR_VERSION = MINOR_VERSION * 100000 + x

if not AceLibrary:IsNewVersion(MAJOR_VERSION, MINOR_VERSION) then return end

local BabbleTrainer = AceLibrary("AceLocale-2.2"):new(MAJOR_VERSION)

BabbleTrainer:RegisterTranslations("enUS", function() return {
    -- Trainer types
    ["Warrior Trainer"] = true,
    ["Demon Trainer"] = true,
    ["Bael'dun Chief Engineer"] = true,
    ["Warlock Trainer"] = true,
    ["Raptor Riding Trainer"] = true,
    ["Horse Riding Instructor"] = true,
    ["Leatherworking Trainer"] = true,
    ["Master Jewelcrafter"] = true,
    ["Artisan Enchanter"] = true,
    ["Unbalanced Engineer"] = true,
    ["Journeyman Jewelcrafter"] = true,
    ["Expert Tailor"] = true,
    ["Expert Blacksmith"] = true,
    ["Artisan Blacksmith"] = true,
    ["Grand Master Tailor"] = true,
    ["Master Gnome Engineer"] = true,
    ["Druid Trainer"] = true,
    ["Journeyman Engineer"] = true,
    ["Superior Leatherworker"] = true,
    ["Journeyman Tailor"] = true,
    ["Journeyman Leatherworker"] = true,
    ["Grand Master Alchemist"] = true,
    ["Grand Master Leatherworker"] = true,
    ["Portal Trainer"] = true,
    ["Grand Master Enchanter"] = true,
    ["Cooking Trainer"] = true,
    ["Skinning Trainer"] = true,
    ["Engineer"] = true,
    ["Riding Instructor"] = true,
    ["Priest Trainer"] = true,
    ["Journeyman Alchemist Trainer"] = true,
    ["Artisan Leatherworker"] = true,
    ["Artisan Engineer"] = true,
    ["Master Dragonscale Leatherworker"] = true,
    ["Herbalism Trainer"] = true,
    ["Blacksmith"] = true,
    ["First Aid Trainer"] = true,
    ["Paladin Trainer"] = true,
    ["Pet Trainer"] = true,
    ["Master Leatherworker"] = true,
    ["Tribal Leatherworking Trainer"] = true,
    ["Master Engineer"] = true,
    ["Master Shadoweave Tailor"] = true,
    ["Transportation Engineer"] = true,
    ["Shaman Trainer"] = true,
    ["Hunter Trainer"] = true,
    ["Mage Trainer"] = true,
    ["Artisan Tailor"] = true,
    ["Speciality Engineer"] = true,
    ["Master Tribal Leatherworker"] = true,
    ["Chief Engineer"] = true,
    ["Master Enchanter"] = true,
    ["Owl Trainer"] = true,
    ["Trauma Surgeon"] = true,
    ["Master Blacksmith"] = true,
    ["Journeyman Blacksmith"] = true,
    ["Undead Horse Riding Instructor"] = true,
    ["Wolf Riding Instructor"] = true,
    ["Master Alchemist"] = true,
    ["Master Tailor"] = true,
    ["Master Leatherworking Trainer"] = true,
    ["Grand Master Engineer"] = true,
    ["Kodo Riding Instructor"] = true,
    ["Artisan Alchemist"] = true,
    ["Journeyman Enchanter"] = true,
    ["Royal Apothecary Society"] = true,
    ["Master Elemental Leatherworker"] = true,
    ["Expert Enchanter"] = true,
    ["Weapon Master"] = true,
    ["Expert Alchemist"] = true,
    ["Master Goblin Engineer"] = true,
    ["Head Eco-Dome Engineer"] = true,
    ["Fishing Trainer"] = true,
    ["Expert Engineer"] = true,
    ["Expert Leatherworker"] = true,
    ["Journeyman Alchemist"] = true,
    ["Rogue Trainer"] = true,
    ["Ram Riding Instructor"] = true,
    ["Grand Master Blacksmith"] = true,
    ["Grand Master Jewelcrafter"] = true,
    ["Mining Trainer"] = true,
} end)

BabbleTrainer:Debug()
BabbleTrainer:SetStrictness(true)

AceLibrary:Register(BabbleTrainer, MAJOR_VERSION, MINOR_VERSION)
BabbleTrainer = nil
